﻿@model Persona
@{
    Layout = "_LayoutLogin";
    ViewData["Title"] = "Log in";
}
<div class="col-xl-10 col-lg-12 col-md-9">
    <div class="card o-hidden border-0 shadow-lg my-5">
        <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
                <div class="col-lg-6 d-none d-lg-block bg-warning"></div>
                <div class="col-lg-6">
                    <div class="p-5">
                        <div class="text-center">
                            <h1 class="h4 text-gray-900 mb-4">Inicia Sesion</h1>
                        </div>
                        <form id="user"
                                  data-ajax="true"
                                  asp-action="IniciarSession"
                                  asp-antiforgery="true"
                                  method="post">
                                <div class="form-group">
                                    <select id="ddl_TipDoc" asp-for="TDCMNTO" class="validate[required] form-control input-md"
                                            placeholder="" onchange="isTipoDocumento(this,'NDCMNTO')">
                                        <option value="1" selected="selected">DNI</option>
                                        <option value="3">Carnet extranjería</option>
                                        <option value="6">Pasaporte</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <input type="text" class="validate[required,minSize[8]] form-control form-control-user" asp-for="NDCMNTO"
                                           placeholder="Ingrese nro. documento" onkeypress="return isNumber(event)" maxlength="8">
                                </div>
                                <div class="form-group">
                                    <input type="password" class="validate[required] form-control form-control-user" asp-for="CNTRSNA"
                                           id="exampleInputPassword" placeholder="Contraseña" maxlength="15">
                                </div>
                                <div class="form-group" style="display:none">
                                    <div class="custom-control custom-checkbox small">
                                        <input type="checkbox" class="custom-control-input" id="customCheck">
                                        <label class="custom-control-label" for="customCheck">
                                            Remember
                                            Me
                                        </label>
                                    </div>
                                </div>
                                <input type="submit" class="btn btn-primary btn-user btn-block" value="Iniciar Sesion" />
                        </form>
                        <hr>
                        <div class="text-center">
                            <a asp-area="" asp-controller="Persona" asp-action="Clave"
                               class="small">¿Olvidaste tu contraseña?</a>
                            <br>
                            <a asp-area="" asp-controller="Persona" asp-action="Index"
                               class="small">Crea una cuenta</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">
                            <!-- Titulo -->
                            Mensaje
                        </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        @ViewBag.Mensaje
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" data-dismiss="modal" asp-controller="Persona" asp-action="Login">Aceptar</button>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
@if (ViewBag.Mensaje != null)
{
    <script type="text/javascript">
        $("#exampleModal").modal("show");
    </script>
}
    <script>
        $(document).ready(function () {
            $("#user").validationEngine({ binded: false, autoHidePrompt: true, autoHideDelay: 1500, fadeDuration: 300, showOneMessage: true, promptPosition: "bottomLeft"  });
        });

    </script>
